=== modified file 'plugin/filesystem_engine/filesystem_engine.cc'
--- plugin/filesystem_engine/filesystem_engine.cc	2010-07-30 12:14:54 +0000
+++ plugin/filesystem_engine/filesystem_engine.cc	2010-07-30 12:39:39 +0000
@@ -27,7 +27,7 @@
 #include <google/protobuf/io/zero_copy_stream.h>
 #include <google/protobuf/io/zero_copy_stream_impl.h>
 
-#include "filesystem.h"
+#include "filesystem_engine.h"
 #include "utility.h"
 
 #include <fcntl.h>

=== modified file 'plugin/filesystem_engine/filesystem_engine.h'
--- plugin/filesystem_engine/filesystem_engine.h	2010-07-30 12:14:54 +0000
+++ plugin/filesystem_engine/filesystem_engine.h	2010-07-30 12:39:39 +0000
@@ -16,8 +16,8 @@
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
-#ifndef PLUGIN_FILESYSTEM_FILESYSTEM_H
-#define PLUGIN_FILESYSTEM_FILESYSTEM_H
+#ifndef PLUGIN_FILESYSTEM_ENGINE_FILESYSTEM_ENGINE_H
+#define PLUGIN_FILESYSTEM_ENGINE_FILESYSTEM_ENGINE_H
 
 #include <drizzled/cursor.h>
 #include <drizzled/thr_lock.h>
@@ -113,4 +113,4 @@
   int find_current_row(unsigned char *buf);
 };
 
-#endif /* PLUGIN_FILESYSTEM_FILESYSTEM_H */
+#endif /* PLUGIN_FILESYSTEM_ENGINE_FILESYSTEM_ENGINE_H */

=== modified file 'plugin/filesystem_engine/filesystemlock.h'
--- plugin/filesystem_engine/filesystemlock.h	2010-07-27 07:30:25 +0000
+++ plugin/filesystem_engine/filesystemlock.h	2010-07-30 12:39:39 +0000
@@ -16,8 +16,8 @@
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
-#ifndef PLUGIN_FILESYSTEM_FILESYSTEMLOCK_H
-#define PLUGIN_FILESYSTEM_FILESYSTEMLOCK_H
+#ifndef PLUGIN_FILESYSTEM_ENGINE_FILESYSTEMLOCK_H
+#define PLUGIN_FILESYSTEM_ENGINE_FILESYSTEMLOCK_H
 
 #include <pthread.h>
 
@@ -57,4 +57,4 @@
   pthread_mutex_t *mutex_;
 };
 
-#endif /* PLUGIN_FILESYSTEM_FILESYSTEMLOCK_H */
+#endif /* PLUGIN_FILESYSTEM_ENGINE_FILESYSTEMLOCK_H */

=== modified file 'plugin/filesystem_engine/formatinfo.h'
--- plugin/filesystem_engine/formatinfo.h	2010-07-27 11:53:26 +0000
+++ plugin/filesystem_engine/formatinfo.h	2010-07-30 12:39:39 +0000
@@ -16,8 +16,8 @@
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
-#ifndef PLUGIN_FILESYSTEM_FORMATINFO_H
-#define PLUGIN_FILESYSTEM_FORMATINFO_H
+#ifndef PLUGIN_FILESYSTEM_ENGINE_FORMATINFO_H
+#define PLUGIN_FILESYSTEM_ENGINE_FORMATINFO_H
 
 #include <drizzled/message/table.pb.h>
 
@@ -48,4 +48,4 @@
   int separator_mode;
 };
 
-#endif /* PLUGIN_FILESYSTEM_FORMATINFO_H */
+#endif /* PLUGIN_FILESYSTEM_ENGINE_FORMATINFO_H */

=== modified file 'plugin/filesystem_engine/plugin.ini'
--- plugin/filesystem_engine/plugin.ini	2010-07-15 13:10:23 +0000
+++ plugin/filesystem_engine/plugin.ini	2010-07-30 12:39:39 +0000
@@ -1,5 +1,5 @@
 [plugin]
 title=File System Storage Engine
 description=This storage enigne enables you to access raw file in Drizzle.
-headers=filesystem.h transparent_file.h utility.h formatinfo.h filesystemlock.h
-sources=filesystem.cc transparent_file.cc formatinfo.cc filesystemlock.cc
+headers=filesystem_engine.h transparent_file.h utility.h formatinfo.h filesystemlock.h
+sources=filesystem_engine.cc transparent_file.cc formatinfo.cc filesystemlock.cc

=== modified file 'plugin/filesystem_engine/transparent_file.h'
--- plugin/filesystem_engine/transparent_file.h	2010-06-09 05:03:02 +0000
+++ plugin/filesystem_engine/transparent_file.h	2010-07-30 12:39:39 +0000
@@ -13,8 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-#ifndef PLUGIN_FILESYSTEM_TRANSPARENT_FILE_H
-#define PLUGIN_FILESYSTEM_TRANSPARENT_FILE_H
+#ifndef PLUGIN_FILESYSTEM_ENGINE_TRANSPARENT_FILE_H
+#define PLUGIN_FILESYSTEM_ENGINE_TRANSPARENT_FILE_H
 
 #include <sys/types.h>
 #include <sys/stat.h>
@@ -41,4 +41,4 @@
   off_t read_next();
 };
 
-#endif /* PLUGIN_FILESYSTEM_TRANSPARENT_FILE_H */
+#endif /* PLUGIN_FILESYSTEM_ENGINE_TRANSPARENT_FILE_H */

=== modified file 'plugin/filesystem_engine/utility.h'
--- plugin/filesystem_engine/utility.h	2010-07-15 02:21:13 +0000
+++ plugin/filesystem_engine/utility.h	2010-07-30 12:39:39 +0000
@@ -16,8 +16,8 @@
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
 
-#ifndef PLUGIN_FILESYSTEM_UTILITY_H
-#define PLUGIN_FILESYSTEM_UTILITY_H
+#ifndef PLUGIN_FILESYSTEM_ENGINE_UTILITY_H
+#define PLUGIN_FILESYSTEM_ENGINE_UTILITY_H
 
 static inline ssize_t write_in_all(int fd, const void *buf, size_t count)
 {
@@ -43,4 +43,4 @@
   return total;
 }
 
-#endif /* PLUGIN_FILESYSTEM_UTILITY_H */
+#endif /* PLUGIN_FILESYSTEM_ENGINE_UTILITY_H */

